# -*- coding: utf-8 -*-
#!/usr/bin/env python

import os
import sys

import wellsmoked
try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

version = wellsmoked.__version__

if sys.argv[-1] == 'publish':
    os.system('python setup.py sdist upload')
    print("You probably want to also tag the version now:")
    print("  hg tag %s -m 'version %s'" % (version, version))
    print("  hg push")
    sys.exit()

readme = open('README.rst').read()
history = open('HISTORY.rst').read().replace('.. :changelog:', '')

setup(
    name='wellsmoked',
    version=version,
    description='Application for running "smoke"-tests against Django project.',
    long_description=readme + '\n\n' + history,
    author='Kirill Borisov',
    author_email='borisov@bars-open.ru',
    url='https://github.com/lensvol/wellsmoked',
    packages=[
        'wellsmoked',
    ],
    include_package_data=True,
    install_requires=[
    ],
    license="MIT",
    zip_safe=False,
    keywords='wellsmoked',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
    ],
)
